package com.ycwl.basic.mapper;



import com.ycwl.basic.model.pc.adminUser.entity.LoginEntity;
import com.ycwl.basic.model.pc.adminUser.req.AddOrUpdateAdminUserReqVO;
import com.ycwl.basic.model.pc.adminUser.req.AdminUserListReqVO;
import com.ycwl.basic.model.pc.adminUser.req.ResetPasswordReqVO;
import com.ycwl.basic.model.pc.adminUser.req.UpdatePasswordReqVO;
import com.ycwl.basic.model.pc.adminUser.resp.AdminUserListRespVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AdminUserMapper {
    List<AdminUserListRespVO> list(AdminUserListReqVO adminUserListReqVO);
    int delete(String id);
    int resetPassword(ResetPasswordReqVO resetPasswordReqVO);
    int add(AddOrUpdateAdminUserReqVO addOrUpdateAdminUserReqVO);
    int update(AddOrUpdateAdminUserReqVO addOrUpdateAdminUserReqVO);
    LoginEntity login(@Param("account")String account);

    int updatePassword(UpdatePasswordReqVO updatePasswordReqVO);

    String getPasswordByAccount(@Param("id")String id);
}
